Download And Install


Compatibility of EPW

EPW is tested and should work on the following compilers and libraries:

  • gcc640 serial
  • gcc640 + openmpi-1.10.7
  • intel 12 + openmpi-1.10.7
  • intel 17 + impi
  • PGI 17 + mvapich2.3

EPW is know to have the following incompatibilities with:

  • openmpi 2.0.2 (but likely on all the 2.x.x version): Works but memory leak. If you open and close a file a lot of times with openmpi 2.0.2, the memory increase linearly with the number of times the file is open.
  • PGI 17 + openmpi-1.10.7: I was not able to compile that version of openmpi. Issue related with " pgfortran-Error-Unknown switch: -pthread "


To install EPW-4.3

1) Download version 6.2.0 of Quantum-ESPRESSO. For this you can copy/paste the following on your terminal:

wget http://qe-forge.org/gf/download/frsrelease/244/1114/qe-6.2.tar.gz

2) Unpack and configure Quantum-ESPRESSO. This can be done by copy/pasting the following lines:

tar -xvf qe-6.2.tar.gz && cd qe-6.2 && ./configure

3) Compile EPW (this will also compile pwscf, phonon, and wannier90):

cd ../../

make pwall

make ph

make epw

4) The executable will be available in qe-6.2/bin/epw.x or qe-6.2/EPW/bin/epw.x

5) You can also download the QE test-suite (that includes EPW tests) at qe-6.2-test-suite. Place the folder inside /qe-6.2. You can then go inside the test-suite and run tests to make sure that everything works.


To install EPW-4.2

1) Download version 6.1.0 of Quantum-ESPRESSO. For this you can copy/paste the following on your terminal:

wget http://qe-forge.org/gf/download/frsrelease/240/1075/qe-6.1.tar.gz

2) Unpack and configure Quantum-ESPRESSO. This can be done by copy/pasting the following lines:

tar -xvf qe-6.1.tar.gz && cd qe-6.1 && ./configure

3) Due to a change in the symmetries of QE, a bugfix has been created:

cd EPW/src

wget http://epw.org.uk/uploads/Main/epw.f90

wget http://epw.org.uk/uploads/Main/elphon_shuffle_wrap.f90

If your "wget" creates a new file like "epw.f90.1" then you need to do "mv epw.f90.1 epw.f90" to replace the file.

4) Compile EPW (this will also compile pwscf, phonon, and wannier90):

cd ../../

make pwall

make ph

make epw

5) The executable will be available in qe-6.1/bin/epw.x or qe-6.1/EPW/bin/epw.x

6) You can also download the QE test-suite (that includes EPW tests) at qe-6.1-test-suite. Place the folder inside /qe-6.1. You can then go inside the test-suite and run tests to make sure that everything works.



To install EPW-4.1

1) Download version 6.0.0 of Quantum-ESPRESSO. For this you can copy/paste the following on your terminal:

wget http://qe-forge.org/gf/download/frsrelease/224/1044/qe-6.0.tar.gz

2) Unpack and configure Quantum-ESPRESSO. This can be done by copy/pasting the following lines:

tar -xvf qe-6.0.tar.gz && cd qe-6.0 && ./configure

3) Compile EPW (this will also compile pwscf, phonon, and wannier90):

make pwall

make ph

make epw

4) The executable will be available in qe-6.0/bin/epw.x or qe-6.0/EPW/bin/epw.x

5) You can also download the QE test-suite (that includes EPW tests) at qe-6.0-test-suite. Place the folder inside /qe-6.0. You can then go inside the test-suite and run tests to make sure that everything works.


Video tutorial

This video tutorial can also be found here: https://www.youtube.com/watch?v=7jZ-C5FNfgU